## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autochangelog
## END: Set by rpmautospec

%global forgeurl  https://github.com/dougbinks/enkiTS
%global commit 8c13c08744f7515da13684d46bf8f279a5b94ab2
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%forgemeta

Name:           enkiTS
Version:        1.11
Release:        1%{?dist}
Summary:        A C and C++ task scheduler for creating parallel programs

License:        Zlib
URL:            %{forgeurl}
Source0:        %{url}/archive/%{commit}/%{name}-%{shortcommit}.tar.gz
# See
# https://github.com/dougbinks/enkiTS/pull/109
# https://github.com/dougbinks/enkiTS/pull/110
Patch:          soname-includedir.patch

BuildRequires:  cmake
BuildRequires:  gcc
BuildRequires:  gcc-c++

%description
The primary goal of enkiTS is to help developers create programs which handle
both data and task level parallelism to utilize the full performance of
multicore CPUs, whilst being lightweight (only a small amount of code) and easy
to use.

%package devel
Summary:   A C and C++ task scheduler for creating parallel programs
Requires:  %{name}%{?_isa} = %{version}-%{release}

%description devel
Development files for enkiTS.

%prep
%autosetup -p1 -n %{name}-%{commit}


%build
%cmake -DENKITS_BUILD_SHARED=ON \
       -DENKITS_BUILD_C_INTERFACE=ON \
       -DENKITS_BUILD_EXAMPLES=ON \
       -DENKITS_INSTALL=ON
%cmake_build


%install
%cmake_install

%check
%{__cmake_builddir}/TestAll


%files
%license License.txt
%doc README.md
%doc example/*.cpp
%doc example/*.c
%doc example/*.h
%{_libdir}/libenkiTS.so.1
%{_libdir}/libenkiTS.so.1.*

%files devel
%{_includedir}/enkiTS/TaskScheduler.h
%{_includedir}/enkiTS/LockLessMultiReadPipe.h
%{_includedir}/enkiTS/TaskScheduler_c.h
%dir %{_libdir}/cmake/enkiTS
%{_libdir}/cmake/enkiTS/*.cmake
%{_libdir}/libenkiTS.so


%changelog
* Thu Dec 07 2023 John Doe <packager@example.com> - 1.11-1
- Uncommitted changes
